function S=gitinfo()
% FUNCTION fc_oogmsh.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2007-2018 F. Cuvelier
%
  S=struct('name','fc-oogmsh', 'tag','0.0.19','commit','3e177a4b2f6d5df99a03dda902bc561c18744f3a','date', '2018-09-17','time','14-09-54','status',0);return; % automatically updated
  rep=fc_oogmsh.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-oogmsh','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
